# WeNet Roadmap

This roadmap for WeNet.
WeNet is a community-driven project and we love your feedback and proposals on where we should be heading.

Please open up [issues](https://github.com/wenet-e2e/wenet/issues/) or
[discussion](https://github.com/wenet-e2e/wenet/discussions) on github to write your proposal.
Feel free to volunteer yourself if you are interested in trying out some items(they do not have to be on the list).


## WeNet 3.0 (2023.06)

- [x] ONNX support
- [ ] [Vosk](https://github.com/alphacep/vosk-api/) like models and API for developers.
  - [ ] Models(Chinese/English/Japanese/Korean/French/German/Spanish/Portuguese)
  - [ ] API(python/c/c++/go/java)
- [ ] Self training, streaming
- [ ] Light weight, low latency, on-device model exploration
- [ ] Audio-Visual speech recognition
- [ ] Platforms
  - [ ] Rasphberry Pi
  - [ ] Harmony OS
- [ ] ASIC XPU
  - [ ] Horizon Journey
  - [ ] GraphCore
  - [ ] TO ADD

## WeNet 2.0 (2022.06)

- [x] U2++ framework for better accuracy
- [x] n-gram + WFST language model solution
- [x] Context biasing(hotword) solution
- [x] Very big data training support with UIO
- [x] More dataset support, including WenetSpeech, GigaSpeech, HKUST and so on.

## WeNet 1.0 (2021.02)

- [x] Streaming solution(U2 framework)
- [x] Production runtime solution with `TorchScript` training and `LibTorch` inference.
- [x] Unified streaming and non-streaming model(U2 framework)

